### A free/open-source library for quantitative finance

Classes | Typedefs
ql/termstructures/yield/forwardcurve.hpp File Reference

interpolated forward-rate structure More...

`#include <ql/termstructures/yield/forwardstructure.hpp>`
`#include <ql/termstructures/interpolatedcurve.hpp>`
`#include <ql/math/interpolations/backwardflatinterpolation.hpp>`
`#include <ql/math/comparison.hpp>`
`#include <utility>`
Include dependency graph for forwardcurve.hpp:

## Classes

class | InterpolatedForwardCurve< Interpolator >
| YieldTermStructure based on interpolation of forward rates. More...

## Typedefs

typedef InterpolatedForwardCurve < BackwardFlat > | ForwardCurve
| Term structure based on flat interpolation of forward rates.

## Detailed Description

interpolated forward-rate structure